g2bAPI Reference
Messages

List queued and steering controls

Returns the thread’s durable control queue in creation order.

GET
/v1/threads/{id}/controls

Returns the thread’s durable control queue in creation order.

Authorization

bearerAuth
AuthorizationBearer <token>

Create an API key in g2b Settings, then send it as a Bearer token.

In: header

Path Parameters

id*string
Length1 <= length <= 256

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/threads/string/controls"
{  "controls": [    {      "id": "string",      "thread_id": "string",      "kind": "queue",      "status": "pending",      "prompt": "string",      "prompt_parts": [        {          "type": "text",          "text": "string"        }      ],      "collaboration_mode": "default",      "target_run_id": "string",      "created_run_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "applied_at": "2019-08-24T14:15:22Z"    }  ]}